Bug 586297 - Improve wqy-microhei-fonts fontconfig conf file.
Improve wqy-microhei-fonts fontconfig conf file.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wqy-microhei-fonts (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 05:13 EDT by Akira TAGOH
Modified: 2010-06-23 22:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 568613
Environment:
Last Closed: 2010-06-23 22:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2010-04-27 05:13:51 EDT
+++ This bug was initially created as a clone of Bug #568613 +++

Currently we are considering split the "Chinese support" package group into "Simplified Chinese Support" and "Traditional Chinese Support" package groups.
To provide different rpm package sets for TC and SC users.

This is part of the changes needed be done in wqy fonts.

So we want to change the following section in wqy-microhei-fonts-fontconfig.conf and wqy-zenhei-fontconfig.conf.
From:
    <match>
        <test name="lang">
            <string>zh</string>
        </test>
...
    </match>
To:
    <match>
        <test name="lang">
            <string>zh-cn</string>
        </test>
...
    </match>

What do you think about these changes?

--- Additional comment from pwu@redhat.com on 2010-02-26 01:58:59 EST ---

Sorry, just find Qianqian Fang is not in the CC list or owner.
So add him to CC list, and copy the above message here.
Hi Qianqian Fang, what is your opinion about this change?

(In reply to comment #0)
> Currently we are considering split the "Chinese support" package group into
> "Simplified Chinese Support" and "Traditional Chinese Support" package groups.
> To provide different rpm package sets for TC and SC users.
> 
> This is part of the changes needed be done in wqy fonts.
> 
> So we want to change the following section in
> wqy-microhei-fonts-fontconfig.conf and wqy-zenhei-fontconfig.conf.
> From:
>     <match>
>         <test name="lang">
>             <string>zh</string>
>         </test>
> ...
>     </match>
> To:
>     <match>
>         <test name="lang">
>             <string>zh-cn</string>
>         </test>
> ...
>     </match>
> 
> What do you think about these changes?

--- Additional comment from fangqq@gmail.com on 2010-02-26 10:01:54 EST ---

this is not necessary. AFAIK, there are no traditional-styled open-source vector fonts (with good coverage and quality as zenhei/microhei) exist. UMing/UKai/ZenHei/MicroHei are mostly following Unicode standard shapes (which is based on simplified Chinese style). If you limit these fonts to simplified Chinese users only, the traditional Chinese users will likely end up with Japanese fonts, which are even worse in both coverage and glyph consistency.

I heard mostly positive feedbacks from traditional Chinese users for these fonts, you may browse the following google link to find out:
http://www.google.com/#hl=en&q=%E6%96%87%E6%B3%89%E9%A9%9B+%E5%AD%97%E5%9E%8B&aq=f&aqi=&aql=&oq=&fp=59cdd573c147ba53

In the long run, I would prefer to eliminate all the font preference sections in these font conf files, and rely on the updated 65-nonlatin and language-specific conf files to set orders. see 
http://bugs.freedesktop.org/show_bug.cgi?id=20911
https://bugzilla.redhat.com/show_bug.cgi?id=499902

--- Additional comment from petersen@redhat.com on 2010-03-04 01:00:46 EST ---

I think we need it for fedora and we want to mark uming and ukai
as non zh_CN in their fontconfig.

--- Additional comment from fangqq@gmail.com on 2010-03-04 10:35:35 EST ---

(In reply to comment #3)
> I think we need it for fedora and we want to mark uming and ukai
> as non zh_CN in their fontconfig.    

why? there are not many free Chinese fonts (simplified or traditional) available, Uming/UKai are the only good quality fonts for Song and Kai styles, respectively. Standard Chinese text layout generally requires 4 styles: Song, Hei, Kai, Fang-Song. If you mark it for only one language variant, that means the other language variants will lose half usable Chinese font styles! I am pretty sure most Chinese users will against this.

--- Additional comment from pwu@redhat.com on 2010-03-04 21:19:09 EST ---

Actually what we want to change is as following:
1. Make wqy-zenhei as default for Simplified Chinese users, 
   Make UMing as default for Traditional Chinese users.

When user choose "Sans" / "Serif" / "MonoSpace":
1.  In zh_CN locale, it will use "Zen Hei" as default,
2.  In zh_TW locale, it will use "UMing" as default.

If you installed both zenhei and Uming/Ukai, I think it will show in font list when querying with fontconfig.

In brief, we just want to change the default fonts for SC and TC users. The font styles is still available when the fonts is installed.

Currently I am trying to change font conf to achieving this, but meet some problems. Maybe you could help me on this.

--- Additional comment from fangqq@gmail.com on 2010-03-05 11:54:30 EST ---

I responded by email last night, but it did not show up, so I paste my response again.

> --- Comment #5 from Peng Wu<pwu@redhat.com>  2010-03-04 21:19:09 EST ---
> Actually what we want to change is as following:
> 1. Make wqy-zenhei as default for Simplified Chinese users,
>     Make UMing as default for Traditional Chinese users.
>    

I am not sure which language did you use in
the past, but I do see a couple of problems here:

First of all, Zen Hei and UMing are fonts of different styles.
one is Sans, one is Serif (let's ignore the embedded bitmaps
for a second). They are more like Dejavu Sans vs. Dejavu Serif,
than like Droid Sans Fallback vs. Droid Sans Japanese.
They mean to represent different types of visual elements
in the text layout (and used simultaneously), and not
meant to represent the same information for different languages.

Second, UMing/UKai are not "consistently" traditional
Chinese styled. For most glyphs, they are rather mainland
Chinese styled. It does contain traditional Chinese styled
characters as merged from AR PL Mingti2L Big5, but they
are not consistent, for example, all the components
with "角" are SC-styled (唃嘝嘴嶰廨懈斛桷槲檞澥确繲薢角觙
觚觛觜觞觟觠解觥觧觫觭觯觲觳觺觻邂鵤); many "骨" components
are TC, but several are SC, such as "骶骺髅髋髌鹘"; all
the "今" components are SC, such as in "今仱侺吟妗岑岒庈
忴扲昑枔棽涔琌琴矜笒紟耹肣芩蚙衿軡鈐钤霒霠黔"; almost
all chars with radical "黑" are SC, except "黓" is TC.
I can not give all of the examples, there are so many
inconsistencies. If you are interested, you can download a copy of
Unicode code chart (second column) and compare with Uming glyphs:
http://unicode.org/charts/PDF/U4E00.pdf


> When user choose "Sans" / "Serif" / "MonoSpace":
> 1.  In zh_CN locale, it will use "Zen Hei" as default,
> 2.  In zh_TW locale, it will use "UMing" as default.
>    

Personally, I like the way Ubuntu handles this: Zen Hei is
the default CJK Sans font, and UMing is the default Serif font.
On LiveCDs where space is limited, only one font is installed,
before 9.10, it was UMing, after 9.10, it was ZenHei.


> If you installed both zenhei and Uming/Ukai, I think it will show in font list
> when querying with fontconfig.
>
> In brief, we just want to change the default fonts for SC and TC users. The
> font styles is still available when the fonts is installed.
>    

At this point, there is no TC-shaped fonts available. So,
you can't really solve this by splitting zenhei/uming,
as both of them are mostly SC-styled Unicode fonts. I do have the plan
to create TC variant of ZenHei, and Arne also split the font
names to UMing CN/UMing TW, but there are lot of things
need to be done to make them TC consistent.

> Currently I am trying to change font conf to achieving this, but meet some
> problems. Maybe you could help me on this.
>    

As I said, set zenhei/microhei for sans, set uming for serif, that's
probably the best we can do. In addition, giving users an easy
way to switch between bitmaps and anti-aliased glyphs is probabily
a much useful feature than setting SC/TC with separate default fonts.

--- Additional comment from tagoh@redhat.com on 2010-03-16 01:01:31 EDT ---

(In reply to comment #6)
> Personally, I like the way Ubuntu handles this: Zen Hei is
> the default CJK Sans font, and UMing is the default Serif font.
> On LiveCDs where space is limited, only one font is installed,
> before 9.10, it was UMing, after 9.10, it was ZenHei.

This is just out of curiosity, do they use Zen Hei as the default _CJK_ Sans font really? but not as the default Sans font for Chinese?

--- Additional comment from fangqq@gmail.com on 2010-03-16 01:36:13 EDT ---

(In reply to comment #7)
> This is just out of curiosity, do they use Zen Hei as the default _CJK_ Sans
> font really? but not as the default Sans font for Chinese?    

ok, it was not accurate, Zen Hei was just for Chinese. For non-CJK locales, however, fontconfig does pick up Zen Hei to display Han characters.

Here is example package lists for live cds (9.04/9.10):

http://cdimage.ubuntu.com/releases/jaunty/release/ubuntu-9.04-mid-lpia.manifest

http://cdimage.ubuntu.com/xubuntu/releases/9.10/release/xubuntu-9.10-desktop-i386.manifest

For 10.04, microhei replaced zenhei:

http://cdimage.ubuntu.com/daily-live/current/lucid-desktop-i386.manifest

--- Additional comment from pwu@redhat.com on 2010-03-29 03:38:20 EDT ---

Hi,
  Here are a new proposal, and finally have a draft font confs for this. And the result is as following:
  1. When use Simplified Chinese (SC for brief) locale to login Fedora gdm, all default desktop fonts will use WenQuanYi;
  2. When use Traditional Chinese (TC for brief) locale to login Fedora gdm, all default desktop fonts will use UMing.

  For more information and how to test the new proposal, please visit the URL here (also with a README):
  http://pwu.fedorapeople.org/fonts-conf/
Thanks, please review it.

--- Additional comment from petersen@redhat.com on 2010-04-07 07:34:07 EDT ---

Following Tagoh's proposal in bug 578015: we probably have to drop binding="same".

Does that help too?

--- Additional comment from fangqq@gmail.com on 2010-04-07 13:58:33 EDT ---

I am assigning Peng to look into the issue. I don't really have time to work on these packages any more. I am sure Peng will do a good job, with feed backs from Fedora Chinese List, to maintain the Chinese-related font packages.

--- Additional comment from pwu@redhat.com on 2010-04-07 22:28:06 EDT ---

(In reply to comment #10)
> Following Tagoh's proposal in bug 578015: we probably have to drop
> binding="same".
> 
> Does that help too?    

I commented on https://bugzilla.redhat.com/show_bug.cgi?id=578051#c1( lang-specific overrides rule doesn't work as expected).

From the test result,
It seems that removing the binding="same" helps split between English and
Chinese fonts.
But Chinese fonts seems still the same.

--- Additional comment from pwu@redhat.com on 2010-04-07 22:33:18 EDT ---

(In reply to comment #11)
> I am assigning Peng to look into the issue. I don't really have time to work on
> these packages any more. I am sure Peng will do a good job, with feed backs
> from Fedora Chinese List, to maintain the Chinese-related font packages.    

Hi, thanks. I will handle this bug.
Comment 1 Akira TAGOH 2010-04-27 05:14:53 EDT
See https://bugzilla.redhat.com/show_bug.cgi?id=578050#c5
Comment 2 Peng Wu 2010-06-23 22:53:43 EDT
Hi,
  Chen Lei has forwarded a mail to me from devel@lists.fedoraproject.org.
  Here are the URL of the mail:
  https://lists.fedoraproject.org/pipermail/devel/2010-May/136802.html

  And some quotes from the mail:
>  I think this is wrong. It'll break if somebody only has Micro Hei installed, 
>  for space reasons (e.g. the F13 KDE spin ships wqy-microhei-fonts as the 
>  only CJK font).

  As stated in the above mail, I reverted wqy-microhei-fonts to release 0.2.0-0.3.beta, then bump the version to 0.2.0-0.6.beta. The new content is similar as 0.2.0-0.3.beta, no update is needed I guess.

  wqy-microhei-fonts uses 65-wqy-microhei.conf, which will not override wqy-zenhei-fonts.

  Close this bug as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.